eoAlgo(3)

NAME
eoAlgo - This is a generic class for population-transforming algorithms.

SYNOPSIS

#include <eoAlgo.h>

Inherits eoUF< eoPop< EOT > &, void >.

Inherited by eoCellularEasyEA< EOT >, eoEasyEA< EOT >, and eoSGA< EOT >.

Detailed Description

  template<class EOT> class eoAlgo< EOT >
This is a generic class for population-transforming algorithms. There is only one operator defined, which takes a population and does stuff to it. It needn't be a complete algorithm, can be also a step of an algorithm. This class just gives a common interface to linear population-transforming algorithms.

Definition at line 39 of file eoAlgo.h.

Author

Generated automatically by Doxygen for EO from the source code.